package common

import (
  "log"
  "fmt"
)

func Fail(err error, format string, v ...any) error {
  err_format := fmt.Sprintf("ERROR: %v; %s", err, format)
  log.Printf(err_format, v...)
  return err
}
